#![no_std]
#![no_main]

use core::panic::PanicInfo;
use crate::io::vga::buffer::{Buffer, Writer};
use crate::io::vga::colors::{Color, ColorCode};

mod io;

#[no_mangle]
#[panic_handler]
pub extern "C" fn panic_handler(_info: &PanicInfo) -> ! {
    loop {}
}

#[no_mangle]
pub extern "C" fn _start() -> ! {
    let mut writer = Writer {
        column_position: 0,
        color_code: ColorCode::new(Color::Yellow, Color::Black),
        buffer: unsafe { &mut *(0xb8000 as *mut Buffer) }
    };

    writer.write_string("Hello World\n");

    loop {}
}